---
title: "Detailed points of interest around a location"
description: "Returns individual POIs within `search_area` metres of a coordinate, grouped into Aireon amenity clusters, each with name, distance, category and position."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.aireon.ch/llms.txt
> Use this file to discover all available pages before exploring further.

Path: RES API (public) › Score

`GET /score/poi-details`

Returns individual POIs within `search_area` metres of a coordinate, grouped into Aireon amenity clusters, each with name, distance, category and position.

## Authentication

- `ResApiToken`, apiKey, in header, header `token`

## Query parameters

- `search_area` (`getPoiDetails.query.search_area`; integer, required): Search radius, in metres.
- `lat` (`getPoiDetails.query.lat`; number, required): WGS84 latitude.
- `lng` (`getPoiDetails.query.lng`; number, required): WGS84 longitude.
- `res_group` (`getPoiDetails.query.res_group`; string, optional): Reserved; details are always grouped by cluster.
  - one of `"true"`, `"false"`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://res.aireon.ch/score/poi-details?search_area=0&lat=0&lng=0' \
  --header 'token: <token>'
```

### TypeScript

```typescript
const url = 'https://res.aireon.ch/score/poi-details?search_area=0&lat=0&lng=0';
const options = {method: 'GET', headers: {token: '<token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://res.aireon.ch/score/poi-details?search_area=0&lat=0&lng=0"

headers = {"token": "<token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

POIs grouped by amenity cluster.

#### Example

```json
{
  "property1": [
    {
      "name": "string",
      "distance": 0,
      "category_name": "string",
      "category_group": "string",
      "location_index": 0,
      "position": {
        "lat": 0,
        "lng": 0
      }
    }
  ],
  "property2": [
    {
      "name": "string",
      "distance": 0,
      "category_name": "string",
      "category_group": "string",
      "location_index": 0,
      "position": {
        "lat": 0,
        "lng": 0
      }
    }
  ]
}
```

### 400

Invalid request.

#### Example

```json
{
  "error": "string",
  "message": "string"
}
```

- `error` (`getPoiDetails.response.400.error`; string, required): Human-readable error description.
- `message` (`getPoiDetails.response.400.message`; string, optional): Optional underlying error message.

### 401

Authentication token missing (plain-text body).

#### Example

```text
Missing Token
```

### 403

Authentication token invalid (plain-text body).

#### Example

```text
Wrong Token
```

### 500

Server error.

#### Example

```json
{
  "error": "string",
  "message": "string"
}
```

- `error` (`getPoiDetails.response.500.error`; string, required): Human-readable error description.
- `message` (`getPoiDetails.response.500.message`; string, optional): Optional underlying error message.


Source: https://docs.aireon.ch/res/get-poi-details/index.md
